<?php
//USING
require_once '../Class/model/TiposRecebimentosModel.php';

/**
 * TiposRecebimentos - Controle dos tipos de recebimentos
 *
 * Essa classe controla as requisicoes da classe TiposRecebimentos
 *
 * @version 	1.0
 * @project 	Módulo Financeiro
 * @copyright	Jay.com.br 2012
 * @access 		public
 */
class TiposRecebimentosControl
{
	protected $id;
	protected $action;
	protected $deletar;

	public function setId()
	{
		if (isset($_GET['id']))
		{
			$this->id = $_GET['id'];
		}
	}

	public function getId()
	{
		return $this->id;
	}

	public function setAction()
	{
		if (isset($_POST['action']))
		{
			$this->action = $_POST['action'];
		}
	}

	public function getAction()
	{
		return $this->action;
	}

	public function setDel()
	{
		if (isset($_GET['del']))
		{
			$this->deletar = $_GET['del'];
		}
	}

	public function getDel()
	{
		return $this->deletar;
	}

	//Constructor
	public function __construct()
	{

	}

	public function GetData()
	{
		$result = new TiposRecebimentosModel();
		$result->setId($_POST['Id']);
		$result->setNome($_POST['tiporecebimento']);
		$result->setStatus($_POST['status']);

		return $result->save();
	}
	
	public function getStatusName($pStatus)
	{	
		if ($pStatus == 1) 
		{
			return "Ativo";
		}
		else 
		{
			return "Inativo";
		}
	}
}

?>